---
title: TextMetrics.actualBoundingBoxRight
slug: Web/API/TextMetrics/actualBoundingBoxRight
tags:
  - API
  - Experimental
  - Property
  - Reference
  - TextMetrics
---
<div>{{APIRef("Canvas API")}}</div>

<p>The read-only <code>actualBoundingBoxRight</code> property of the {{domxref("TextMetrics")}} interface is a <code>double</code> giving the distance parallel to the baseline from the alignment point given by the {{domxref("CanvasRenderingContext2D.textAlign")}} property to the right side of the bounding rectangle of the given text, in CSS pixels.</p>

<h2 id="Examples">Examples</h2>

<pre class="brush: js">const canvas = document.createElement('canvas');
const ctx = canvas.getContext('2d');
const text = ctx.measureText('foo'); // returns TextMetrics object

text.actualBoundingBoxRight; // 15.633333333333333;
</pre>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
 <tbody>
  <tr>
   <th scope="col">Specification</th>
  </tr>
  <tr>
   <td>{{SpecName('HTML WHATWG', "scripting.html#dom-textmetrics-actualboundingboxright", "TextMetrics.actualBoundingBoxRight")}}</td>
  </tr>
 </tbody>
</table>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<p>{{Compat("api.TextMetrics.actualBoundingBoxRight")}}</p>

<h2 id="See_also">See also</h2>

<ul>
 <li>{{domxref("TextMetrics")}}</li>
</ul>
